GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Classes | Functions
labelanalysis.hpp File Reference
`#include <vector>`
`#include <algorithm>`
`#include <errno.h>`
`#include <assert.h>`
`#include "logger/logger.hpp"`
`#include "util/merge.hpp"`
`#include "util/ioutil.hpp"`
`#include "util/qsort.hpp"`
`#include "api/chifilenames.hpp"`

Go to the source code of this file.

## Classes
struct | labelcount_tt< LabelType >

## Functions
template<typename LabelType >
bool | label_count_greater (const labelcount_tt< LabelType > &a, const labelcount_tt< LabelType > &b)
template<typename LabelType >
void | analyze_labels (std::string base_filename, int printtop=20)

## Detailed Description

Author:
  Aapo Kyrola akyro.nosp@m.la@c.nosp@m.s.cmu.nosp@m..edu

Version:
  1.0

# LICENSE

Copyright [2012] [Aapo Kyrola, Guy Blelloch, Carlos Guestrin / Carnegie Mellon University]

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

# DESCRIPTION

Analyses output of label propagation algorithms such as connected components and community detection. Memory efficient implementation.

Author:
  Aapo Kyrola

## Function Documentation

template<typename LabelType >

void analyze_labels | ( | std::string | base_filename,
|  | int | printtop = `20`
| ) |  |

NOTE: this implementation is quite a mouthful. Cleaner implementation could be done by using a map implementation. But STL map takes too much memory, and I want to avoid Boost dependency - which would have boost::unordered_map.